package com.focustech.baseandroid.db.interfaces;

import com.focustech.baseandroid.bean.interfaces.BaseBeanInterFace;

import android.database.sqlite.SQLiteDatabase;

/**
 * 具备数据库操作能力的接口，其他类想要操作数据库可以继承该接口
 * @author zhangzheng
 *
 */
public interface DbAble extends BaseBeanInterFace{
	
	/**
	 *得到数据库操作类
	 * @return
	 */
	public SQLiteDatabase getDb();
	
	/**
	 * 获得数据库名称
	 * @return
	 */
	public String getTabName();
	
	/**
	 * 获得主键
	 * @return
	 */
	public String getprimaryKey();
	
}
