package com.nuance.dragon.toolkit.cloudservices;

import java.util.Enumeration;

/**
 * Represents interface of NMT configuration type.
 * user could specify configurations as input parameter while creating a CloudConfig, see also {@link CloudConfig}.
 * inherited by SSLConfig {@link SSLConfig}, CalllogConfig {@link CalllogConfig}
 */

public interface NMTConfig
{
    public int size();

    public Enumeration<String> keys();

    public Object getValue(String key);
}
