package com.nuance.dragon.toolkit.cloudservices.ping;

import com.nuance.dragon.toolkit.cloudservices.CloudServices;
import com.nuance.dragon.toolkit.cloudservices.CloudSimpleCommand;

/**
 * A Cloud Ping executes a simple server PING command through a
 * {@link CloudServices}.
 */
public class CloudPing extends CloudSimpleCommand
{
    /**
     * @param cloudServices The cloud services instance to use.
     */
    public CloudPing(CloudServices cloudServices)
    {
        super(cloudServices, "PING", null);
    }
}
