package com.nuance.dragon.toolkit.edr.internal.jni;

public class EventAudioSampleInfo extends Event {
  private long javaCPtr;

  protected EventAudioSampleInfo(long cPtr, boolean cMemoryOwn) {
    super(edrJNI.EventAudioSampleInfo_JNIUpcast(cPtr), cMemoryOwn);
    javaCPtr = cPtr;
  }

  protected static long getCPtr(EventAudioSampleInfo obj) {
    return (obj == null) ? 0 : obj.javaCPtr;
  }

  public synchronized void delete() {
    if (javaCPtr != 0) {
      if (javaCMemOwn) {
        javaCMemOwn = false;
        throw new UnsupportedOperationException("C++ destructor does not have public access");
      }
      javaCPtr = 0;
    }
    super.delete();
  }

  public EDRReturnCode getPowerdBFS(MutableFloat dbfs) { 
    return EDRReturnCode.intToEnum(edrJNI.EventAudioSampleInfo_getPowerdBFS(javaCPtr, this, dbfs)); 
  }

}
