package com.nuance.dragon.toolkit.edr.internal.jni;

public class WordSetDefault extends WordSet {

  protected void finalize() {
    delete();
  }

  public synchronized void delete() 
  {
    super.delete();
  }


  public WordSetDefault() {
    super();
    javaCMemOwn = false;
    javaCPtr = 0;
    edr.createWordSetDefault(this);
  }
  
  protected synchronized void setCPtr(long cPtr) {
    super.delete();
    if(cPtr != 0) {
      javaCPtr = cPtr;
      javaCMemOwn = true;
    }
  }
  
  protected synchronized void setCPtrNotOwn(long cPtr) {
    super.delete();
    if(cPtr != 0) {
      javaCPtr = cPtr;
      javaCMemOwn = false;
    }
  }
  

  public EDRReturnCode addItem(String item) { 
    return EDRReturnCode.intToEnum(edrJNI.WordSetDefault_addItem(javaCPtr, this, item)); 
  }

}
