package com.nuance.dragon.toolkit.edr.internal.jni;

public class edr implements edrConstants {
  public static void EDRRegisterLogCallback(ILogListener callback) {
    edrJNI.EDRRegisterLogCallback(callback);
  }

  public static EDRReturnCode createStringArray(StringArray strarray) { 
    return EDRReturnCode.intToEnum(edrJNI.createStringArray(strarray)); 
  }

  public static EDRReturnCode createStringMap(StringMap map) { 
    return EDRReturnCode.intToEnum(edrJNI.createStringMap(map)); 
  }

  public static EDRReturnCode createDictationRecognizer(DictationRecognizer recognizer) { 
    return EDRReturnCode.intToEnum(edrJNI.createDictationRecognizer(recognizer)); 
  }

  public static EDRReturnCode createWordSetContact(WordSetContact wordSet) { 
    return EDRReturnCode.intToEnum(edrJNI.createWordSetContact(wordSet)); 
  }

  public static EDRReturnCode createWordSetDefault(WordSetDefault wordSet) { 
    return EDRReturnCode.intToEnum(edrJNI.createWordSetDefault(wordSet)); 
  }

  public static EDRReturnCode JNIEDRReturnCodeToString(EDRReturnCode code, StringBuffer string) { 
    return EDRReturnCode.intToEnum(edrJNI.JNIEDRReturnCodeToString(code.enumToInt(), string)); 
  }

  public static EDRReturnCode JNIPushShortAudio(DictationRecognizer recognizer, short[] buffer) { 
    return EDRReturnCode.intToEnum(edrJNI.JNIPushShortAudio(DictationRecognizer.getCPtr(recognizer), recognizer, buffer)); 
  }

}
