package com.nuance.dragon.toolkit.oem.api;

import com.nuance.dragon.toolkit.oem.impl.LoggerOem;

/**
 * Logger methods that automatically use the "NMT" tag.
 */
public final class Logger
{
    public static void verbose(Object source, String text)
    {
        LoggerOem.verbose(source, text);
    }

    public static void debug(Object source, String text)
    {
        LoggerOem.debug(source, text);
    }

    public static void info(Object source, String text)
    {
        LoggerOem.info(source, text);
    }

    public static void warn(Object source, String text)
    {
        LoggerOem.warn(source, text);
    }

    public static void error(Object source, String text)
    {
        LoggerOem.error(source, text);
    }

    public static void error(Object source, String text, Throwable tr)
    {
        LoggerOem.error(source, text, tr);
    }

    public static void fatal(Object source, String text)
    {
        LoggerOem.fatal(source, text);
    }

    public static void fatal(Object source, String text, Throwable tr)
    {
        LoggerOem.fatal(source, text, tr);
    }
}
