package com.nuance.dragon.toolkit.vocalizer;

import java.util.List;

import com.nuance.dragon.toolkit.audio.AudioType;

class NativeVocalizerImpersonator implements NativeVocalizer
{
    @Override
    public boolean listAvailableModels(List<VocalizerModelJni> retModels)
    {
        return true;
    }

    @Override
    public AudioType init(String language, String voice, int freqKhz, int gender)
    {
        return new AudioType(AudioType.Encoding.PCM_16, AudioType.Frequency.FREQ_16KHZ);
    }

    @Override
    public void destroy()
    {
    }

    @Override
    public boolean speak(String text, boolean ssml, int speed, int pitch, int volume, int msPerChunk, SpeakListener listener)
    {
        return true;
    }

    @Override
    public void cancel()
    {
    }

    @Override
    public boolean loadResource(String fileName, String mimeType)
    {
        return true;
    }

    @Override
    public void releaseResource(String fileName)
    {
    }

    @Override
    public void enableVocalizerVerboseLogging(boolean verbose)
    {
    }
}
