package com.nuance.dragon.toolkit.vocalizer;

import com.nuance.dragon.toolkit.oem.api.Factory;
import com.nuance.dragon.toolkit.oem.api.NMTHandler;

public class VocalizerImpersonator extends VocalizerBase
{
    VocalizerImpersonator(NMTHandler workerThreadHandler)
    {
        super(new NativeVocalizerImpersonator(), workerThreadHandler);
    }

    @Override
    protected NMTHandler getWorkerThreadHandler()
    {
        return Factory.createNMTHandler();
    }
}
