package com.nuance.nmsp.client.sdk.components.core.internal.calllog;

import java.util.List;

/**
 * CalllogListener is to signal the {@link com.nuance.nmsp.client.sdk.components.resource.common.Manager}
 * when enough data has been accumulated. This is to trigger the 
 * {@link com.nuance.nmsp.client.sdk.components.resource.common.ManagerListener#callLogDataGenerated(byte[])}
 * method. All of this is useful to avoid extra circular dependency between nmsp_core and nmsp_ressource_common 
 */

public interface CalllogListener
{
	public void calllogDataGenerated(byte[] data, List sessionIds);
}
