package com.nuance.nmsp.client2.sdk.oem.bluetooth;

import android.media.AudioManager;
import android.media.MediaRecorder.AudioSource;

public class Audio {
    
    public static final int AUDIO_RECORD_AUDIO_SOURCE;
    //public static final int AUDIO_TRACK_BLUETOOTH_STREAM;
    public static final int AUDIO_TRACK_VOICE_CALL_STREAM;

    static {
        Reflection r = new Reflection();
        Integer audioSource = (Integer) r.getFieldValue(AudioSource.class, "VOICE_RECOGNITION");
        if(audioSource == null) {
            audioSource = AudioSource.DEFAULT;
        }
        AUDIO_RECORD_AUDIO_SOURCE = audioSource;
        
        //AUDIO_TRACK_BLUETOOTH_STREAM = (Integer) r.getFieldValue(AudioManager.class, "STREAM_BLUETOOTH_SCO");
        AUDIO_TRACK_VOICE_CALL_STREAM = AudioManager.STREAM_VOICE_CALL;
    }
}
