package com.xyz.sdk.http.model.request;


import com.xyz.sdk.general.API;
import com.xyz.sdk.http.HttpParams;
import com.xyz.sdk.http.HttpRequest;

public class UserGetReq extends HttpRequest {
	private static final long serialVersionUID = 1L;
	private String loginId;
	
	public void setLoginId(String loginId) {
		this.loginId = loginId;
	}

	@Override
	public String getApi() {
		return API.API_USER_GET;
	}


	@Override
	protected void buildRequestParams(HttpParams params) {
		params.put("loginId", loginId);
	}
}