package com.xyz.sdk.http.util;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Locale;

/**
 * Created by zhangzheng on 2016/2/18.
 */
public class Utils {
    public static String md5(String inVal) {
        MessageDigest digested;
        try {
            digested = MessageDigest.getInstance("MD5");
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return "";
        }
        byte[] bytes = inVal.getBytes();
        digested.update(bytes);
        byte[] digest = digested.digest();

        return toHexString(digest);
    }

    /**
     * 十六进制大写
     *
     * @param src
     * @return
     */
    private static String toHexString(byte[] src) {
        StringBuilder hexString = new StringBuilder("");
        if (src == null || src.length <= 0) {
            return null;
        }
        for (int i = 0; i < src.length; i++) {
            String h = Integer.toHexString(0xFF & src[i]);
            while (h.length() < 2)
                h = "0" + h;
            hexString.append(h);
        }
        return hexString.toString().toUpperCase(Locale.getDefault());
    }

}
