package com.xyz.sdk.model;

import android.graphics.Bitmap;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

public class User
{
	private String loginId;
	private String loginName;
	private String email;
	//邮件状态：0-未验证、1-已验证
	private String emailStatus;
	private String headUrl;
	//0个人  1企业
	private String loginType;
	private String auditStatus;
	private String accType;
	//账户状态：0未开通1开通2已冻结
	private String accStatus;
	private String accBalance;
	private String accAvailableBalance;
	private String authCode;
	private String isPerfect;
	private Bitmap userHead;

	private String name;
	private String sinaName;
	private String gender;
	private String birthday;
	private String cardType;
	private String cardNo;
	private String mobile;
	// 0未绑定  1 绑定 2开启动态口令
	private String mobileStatus;
	private String phone;
	private String province;
	private String city;
	private String occupation;//职业
	
	private String fax;
	private String scale;
	private String industry;
	private String nature;
	private String webUrl;
	private String address;
	private String zipCode;
	private String totalPoint;
	private static String token;

	public String getToken() {
		return token;
	}

	public static void setToken(String token) {
		User.token = token;
	}

	public static final String XINLANGWEIBO_UNCONNECTED="2";
	
	public String getLoginId()
	{
		return loginId == null ? "" : loginId;
	}
	public void setLoginId(String loginId)
	{
		this.loginId = loginId;
	}
	public String getLoginName()
	{
		return loginName == null ? "" : loginName;
	}
	public void setLoginName(String loginName)
	{
		this.loginName = loginName;
	}
	public String getEmail()
	{
		return email == null ? "" : email;
	}
	public void setEmail(String email)
	{
		try {
			email= URLDecoder.decode(email, "utf-8");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		this.email = email;
	}
	public String getEmailStatus()
	{
		return emailStatus == null ? "" : emailStatus;
	}
	public void setEmailStatus(String emailStatus)
	{
		this.emailStatus = emailStatus;
	}
	public String getHeadUrl()
	{
		return headUrl == null ? "" : headUrl;
	}
	public void setHeadUrl(String headUrl)
	{
		this.headUrl = headUrl;
	}
	public String getLoginType()
	{
		return loginType == null ? "" : loginType;
	}
	public void setLoginType(String loginType)
	{
		this.loginType = loginType;
	}
	public String getAuditStatus()
	{
		return auditStatus == null ? "" : auditStatus;
	}
	public void setAuditStatus(String auditStatus)
	{
		this.auditStatus = auditStatus;
	}
	public String getAccType()
	{
		return accType == null ? "" : accType;
	}
	public void setAccType(String accType)
	{
		this.accType = accType;
	}
	public String getAccStatus()
	{
		return accStatus == null ? "" : accStatus;
	}
	public void setAccStatus(String accStatus)
	{
		this.accStatus = accStatus;
	}
	public String getAccBalance()
	{
		return accBalance == null ? "" : accBalance;
	}
	public void setAccBalance(String accBalance)
	{
		this.accBalance = accBalance;
	}
	public String getAccAvailableBalance()
	{
		String balance=accAvailableBalance == null ? "" : accAvailableBalance;
		return balance.trim().equals("")?"0":balance;
	}
	public void setAccAvailableBalance(String accAvailableBalance)
	{
		this.accAvailableBalance = accAvailableBalance;
	}
	public String getAuthCode()
	{
		return authCode == null ? "" : authCode;
	}
	public void setAuthCode(String authCode)
	{
		this.authCode = authCode;
	}
	public String getIsPerfect()
	{
		return isPerfect == null ? "" : isPerfect;
	}
	public void setIsPerfect(String isPerfect)
	{
		this.isPerfect = isPerfect;
	}
	public Bitmap getUserHead()
	{
		return userHead;
	}
	public void setUserHead(Bitmap userHead)
	{
		this.userHead = userHead;
	}
	public String getName()
	{
		return name == null ? "" : name;
	}
	public void setName(String name)
	{
		try {
			name= URLDecoder.decode(name, "utf-8");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		this.name = name;
	}
	public String getSinaName()
	{
		return sinaName == null ? "" : sinaName;
	}
	public void setSinaName(String sinaName)
	{
		this.sinaName = sinaName;
	}
	public String getGender()
	{
		return gender == null ? "" : gender;
	}
	public void setGender(String gender)
	{
		this.gender = gender;
	}
	public String getBirthday()
	{
		return birthday == null ? "" : birthday;
	}
	public void setBirthday(String birthday)
	{
		this.birthday = birthday;
	}
	public String getCardType()
	{
		return cardType == null ? "" : cardType;
	}
	public void setCardType(String cardType)
	{
		this.cardType = cardType;
	}
	public String getCardNo()
	{
		return cardNo == null ? "" : cardNo;
	}
	public void setCardNo(String cardNo)
	{
		this.cardNo = cardNo;
	}
	public String getMobile()
	{
		return mobile == null ? "" : mobile;
	}
	public void setMobile(String mobile)
	{
		this.mobile = mobile;
	}
	public String getMobileStatus()
	{
		return mobileStatus == null ? "" : mobileStatus;
	}
	public void setMobileStatus(String mobileStatus)
	{
		this.mobileStatus = mobileStatus;
	}
	public String getPhone()
	{
		return phone == null ? "" : phone;
	}
	public void setPhone(String phone)
	{
		this.phone = phone;
	}
	public String getProvince()
	{
		return province == null ? "" : province;
	}
	public void setProvince(String province)
	{
		this.province = province;
	}
	public String getCity()
	{
		return city == null ? "" : city;
	}
	public void setCity(String city)
	{
		this.city = city;
	}
	public String getOccupation()
	{
		return occupation == null ? "" : occupation;
	}
	public void setOccupation(String occupation)
	{
		this.occupation = occupation;
	}
	public String getFax()
	{
		return fax == null ? "" : fax;
	}
	public void setFax(String fax)
	{
		this.fax = fax;
	}
	public String getScale()
	{
		return scale == null ? "" : scale;
	}
	public void setScale(String scale)
	{
		this.scale = scale;
	}
	public String getIndustry()
	{
		return industry == null ? "" : industry;
	}
	public void setIndustry(String industry)
	{
		this.industry = industry;
	}
	public String getNature()
	{
		return nature == null ? "" : nature;
	}
	public void setNature(String nature)
	{
		this.nature = nature;
	}
	public String getWebUrl()
	{
		return webUrl == null ? "" : webUrl;
	}
	public void setWebUrl(String webUrl)
	{
		this.webUrl = webUrl;
	}
	public String getAddress()
	{
		return address == null ? "" : address;
	}
	public void setAddress(String address)
	{
		this.address = address;
	}
	public String getZipCode()
	{
		return zipCode == null ? "" : zipCode;
	}
	public void setZipCode(String zipCode)
	{
		this.zipCode = zipCode;
	}
	public String getTotalPoint()
	{
		return totalPoint == null ? "" : totalPoint;
	}
	public void setTotalPoint(String totalPoint)
	{
		this.totalPoint = totalPoint;
	}
	

}