package com.xyz.sdk.product.bean.plan;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * Created by zhangzheng on 2016/2/23.
 */
public class BenefitItem implements Serializable,Comparable
{
    private static final long serialVersionUID = 1L;
    private String code;
    private String name;
    private String description;
    private ArrayList<String> values;
    private String sort;
    public String getCode()
    {
        return code;
    }
    public void setCode(String code)
    {
        this.code= code;
    }
    public String getName()
    {
        return name;
    }
    public void setName(String name)
    {
        this.name= name;
    }
    public String getDescription()
    {
        return description;
    }
    public void setDescription(String description)
    {
        this.description= description;
    }
    public ArrayList<String> getValues()
    {
        return values;
    }
    public void setValues(ArrayList<String> values)
    {
        this.values= values;
    }
    public void setSort(String sort)
    {
        this.sort = sort;
    }
    public String getSort()
    {
        return sort;
    }
    @Override
    public int compareTo(Object arg0) {
        BenefitItem item2 = (BenefitItem)arg0;
        return Integer.valueOf(item2.getSort()).compareTo(Integer.valueOf(sort));
    }

    public String getValueDesc() {
        String[] vals = values.get(0).split(":");
        if (vals.length == 3) {
            return vals[2];
        }else {
            return values.get(0);
        }
    }
}
