package com.focustech.baseandroid.adapter;

import java.util.List;

import com.focustech.baseandroid.db.bean.DBean;

import android.content.Context;

/**
 * 基础的适配器，建议大多数普通适配器继承它实现
 * 内部默认实现Holder缓存，和Item的复用
 * @author zhangzheng
 *
 * @param <M>
 */
public abstract class BasicAdapter<M> extends AbsBasicAdapter<M,DBean>{

	public BasicAdapter(Context context, List<M> datas) {
		super(context, datas);
	}

}
