package com.focustech.baseandroid.db.interfaces;

import java.util.List;

/**
 * 操作数据库功能的接口
 * @author zhangzheng
 *
 * @param <T>
 */
public interface DbAbilityInterface<T extends DbAble> {
	
	public void insert();
	
	public void update(T updateBean);
	
	public void update(String fieldName,String FieldValue);
	
	public T select(String fieldName,String value);
	
	public void delete();
	
	public List<T> select();
}
