package com.focustech.baseandroid.net;


import java.io.Serializable;
import java.util.Iterator;

import com.alibaba.fastjson.JSONObject;
import com.focustech.baseandroid.net.params.Result;

public abstract class Response extends Result implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String msg;
	
	
	public Response(){
		msg= "";
	}
	
	public String getMsg()
	{
		return msg;
	}
	public void setMsg(String str)
	{
		try
		{
			JSONObject jobject = JSONObject.parseObject(str);
			Iterator<Object> iterator = jobject.values().iterator();
			if(iterator.hasNext())
			{
				msg = String.valueOf(iterator.next());
			}
			else
			{
				throw new Exception();
			}
		}
		catch (Exception e)
		{
			msg = "";
		}
	}
}