package com.focustech.baseandroid.net.configuration;


public final class Api
{
	//主机地址
	private static String host1 = Host.official;
	private static final String host2 = Host.mobservice;
	
	//用户相关接口
	public static final String API_USER_LOGIN = host1 + "/api/user/login";
	public static final String API_USER_REGISTER = host1 + "/api/user/register";
	public static final String API_USER_GET = host1 + "/api/user/get";
	public static final String API_USER_ADD = host1 + "/api/user/add";
	public static final String API_USER_UPDATE = host1 + "/api/user/update";
	public static final String API_USER_PASSWORD_UPDATE = host1 + "/api/user/mobile/get";
	public static final String API_USER_APPLICATION_GET = host1 + "/api/user/applicants/get";
	public static final String API_USER_VALIDATE = host1 + "/api/user/validate";
	public static final String API_USER_MOBILE_BIND = host1 + "/api/user/mobile/bind";
	public static final String API_USER_PASSWORD_RESET = host1 + "/api/user/password/reset";
	public static final String API_USER_ACCOUNT_PERFECT=host1+"/api/user/account/perfect";
	public static final String API_USER_ACCOUNT_ACTIVE=host1+"/api/user/account/active";
	public static final String API_USER_FINANCE_WITHDRAW=host1+"/api/finance/withdraw";
	public static final String API_USER_LOGO_UPDATE=host1+"/api/user/logo/update";

	public static final String API_USER_SHAKE_CALL_APPLY=host1+"/api/shake/calls/apply";
	public static final String API_USER_SHAKE_CALL_DETAILS=host1+"/api/shake/calls/details";
	public static final String API_USER_SHAKE_LOTTERY_LIST=host1+"/api/shake/lottery/list";
	public static final String API_USER_SHAKE_QUERY_NUM=host1+"/api/shake/query/num";
	public static final String API_USER_SHAKE_LOTTERY=host1+"/api/shake/lottery";
	public static final String API_USER_SHAKE_INCREASE_NUM=host1+"/api/shake/increase/num";
	
	//发送短信验证码接口
	public static final String API_SMS_SENDCODE = host1 + "/api/sms/sendcode";
	
	//常用联系人
	public static final String API_USER_FAVORITE_INSUREDS_GET = host1 + "/api/user/favorite/insureds/get";
	public static final String API_USER_FAVORITE_INSURED_ADD = host1 + "/api/user/favorite/insured/add";
	public static final String API_USER_FAVORITE_INSURED_UPDATE = host1 + "/api/user/favorite/insured/update";
	public static final String API_USER_FAVORITE_INSURED_DELETE = host1 + "/api/user/favorite/insured/delete";
	
	//收藏产品
	public static final String API_USER_FAVORITE_PLANS_GET = host1 + "/api/user/favorite/plans/get";
	public static final String API_USER_FAVORITE_PLAN_ADD = host1 + "/api/user/favorite/plan/add";
	public static final String API_USER_FAVORITE_PLAN_DELETE = host1 + "/api/user/favorite/plan/delete";
	public static final String API_USER_FAVORITE_PLAN_VALIDATE = host1 + "/api/user/favorite/plan/isCollected";

	//产品相关
	public static final String API_PRODUCT_INSURED_FAST = host1 + "/api/product/insured/fast";
	public static final String API_PRODUCT_INSURED_RANDOM = host1 + "/api/product/insured/random";
	public static final String API_PRODUCT_INSURED_TRIAL = host1 + "/api/product/insured/trial";
	public static final String API_PRODUCT_PLANS_SEARCH = host1 + "/api/product/plans/search";
	public static final String API_PRODUCT_PLANS_SEARCH_PARAMS = "&fields=plans.tailType&fields=tags&fields=plans.benefits&fields=plans.insComImgUrl&fields=plans.forTheCrowd&fields=plans.discountPrice&fields=plans.marketPrice&fields=plans.underwAge&fields=plans.protectionPeriod&fields=plans.promotions";
	public static final String API_PRODUCT_PLAN_GET = host1 + "/api/product/plan/get";
	public static final String API_PRODUCT_PLAN_TRIAL = host1 + "/api/product/plan/trial";
	public static final String API_PRODUCT_WORDHINTS_GET = host1 + "/api/product/wordHints/get";
	
	//订单相关
	public static final String API_ORDERS_SEARCH = host1 + "/api/orders/search";
	public static final String API_ORDER_GET = host1 + "/api/order/get";
	public static final String API_ORDER_ADD = host1 + "/api/order/add";
	public static final String API_ORDER_UPDATE = host1 + "/api/order/update";
	public static final String API_ORDER_CANCEL = host1 + "/api/order/cancel";
	public static final String API_ORDER_CONFIRM = host1 + "/api/order/confirm";
	public static final String API_ORDER_GETHEALTHNOTIFY = host1 + "/api/order/getHealthNotify";
	public static final String API_ORDER_HEALTHNOTIFY_SUBMIT = host1 + "/api/order/submitHealthNotify";
	public static final String API_APPLY_POINTS_COUNT = host1 + "/api/apply/points/count";
	
	
	//保单详情
	public static final String API_POLICY_GET = host1 + "/api/policy/get";
	
	//支付接口
	public static final String API_PAYMENT_PAY = host1 + "/api/payment/pay";
	
	//促销专题
	public static final String API_TOPICS_SEARCH = host1 + "/api/topics/search";
	public static final String API_TOPIC_GET = host1 + "/api/topic/get";
	
	//保险公司信息接口
	public static final String API_INSCOM_GET = host1 + "/api/insCom/get";
	
	//优惠券相关
	public static final String API_PROMOT_COUPONS_SEARCH = host1 + "/api/promot/coupons/search";
	public static final String API_PROMOT_COUPON_VALIDATE = host1 + "/api/promot/coupon/validate";
	public static final String API_PROMOT_COUPON_USED = host1 + "/api/promot/coupon/used";
	public static final String API_PROMOT_COUPON_RELEASE = host1 + "/api/promot/coupon/release";
	
	//活动相关
	public static final String API_PROMOT_ACTIVITY_GET = host1 + "/api/promot/activity/get";
	public static final String API_PROMOT_ACTIVITY_USED = host1 + "/api/promot/activity/used";
	public static final String API_PROMOT_ACTIVITY_RELEASE = host1 + "/api/promot/activity/release";
	public static final String API_RED_PAPER_ISGETED=host1+"/api/special/redEnvelope/isGetted";
	public static final String API_RED_PAPER_GET=host1+"/api/special/redEnvelope/get";
	
	//春节专题
	public static final String API_SPECIALACTIVITY_NEWYEARGETCOUPON = host1 + "/api/specialactivity/newYeargetcoupon";
	
	//产品评价
	public static final String API_EVALUATION_PLANS_GET = host1 + "/api/evaluation/plans/get";
	
	public static final String API_EVALUATION_PLANS_SEARCHS = host1 + "/api/judge/plans/get";
	
	public static final String API_EVALUATION_PLAN_SEARCH = host1 + "/api/judge/plan/get";
	
	public static final String API_EVALUATION_ORDER_ADD = host1 + "/api/judge/plan/modify";
	
	//理财险相关接口
	public static final String API_FINANCE_TOFINANCEDETAILS = host1 + "/api/finance/toFinanceDetails";
	public static final String API_FINANCE_LIST = host1 + "/api/user/finance/list";
	public static final String API_FINANCE_ISGETCAPITAL = host1 + "/api/finance/isGetCapital";
	public static final String API_FINANCE_PRIVILEGEFUNDS = host1 + "/api/finance/privilegeFunds";
	public static final String API_USER_FINANCIAL_REGISTER = host1 + "/api/user/financial/register";
	public static final String API_FINANCE_QUERY_BENEFIT = host1 + "/api/finance/queryBenefit";
	public static final String API_FINANCE_INVITELIST = host1 + "/api/finance/inviteList";
	public static final String API_FINANCE_ICOME_GET = host1 + "/api/user/finance/income/get";
	
	//App配置
	public static final String API_APP_SETTING = host2 + "/xyz/api_app_settings";
	//意见反馈
	public static final String API_FEEDBACK = host2 + "/base/fbInterface/submitInfo.do";
	//版本更新
	public static final String API_UPDATE = host2 + "/base/product/checkVersion";
	//热门标签
	public static final String API_GET_HOT_KEYWORDS = host2 + "/xyz/api_get_hot_keywords";
	//今日热门产品
	public static final String API_PROMOTIONS_TODAY = host2 + "/xyz/api_today_offer";
	//本月热门产品
	public static final String API_PROMOTIONS_MONTH = host2 + "/xyz/api_monthly_popular";
}