/*------------------------------------------------------------------------

  Copyright 2006-2011 Nuance Communications, Inc.

------------------------------------------------------------------------*/
package com.nuance.dragon.toolkit.audio.bluetooth.impl;

public class BtServiceListenerParams {
    private int mProfile;
    private Object mProxy;
    BtServiceListenerParams(Object...args) {
        if (args != null) {
            if (args.length > 1) {
                    mProxy = args[1];
            }
            if (args.length > 0) {
                mProfile = (Integer)args[0];
            }
        }
    }
    public int getProfile() {
        return mProfile;
    }
    public Object getProxy() {
        return mProxy;
    }
    public String toString() {
        return "BtServiceListenerParams{" + mProfile + ", " + mProxy + "}";
    }
}
