package com.nuance.dragon.toolkit.cloudservices.reset;

import com.nuance.dragon.toolkit.cloudservices.CloudServices;
import com.nuance.dragon.toolkit.cloudservices.CloudSimpleCommand;

/**
 * A Cloud Profile Reset wipes the user profile on the server through a
 * {@link CloudServices}.
 */
public class CloudProfileReset extends CloudSimpleCommand
{
    /**
     * @param cloudServices The cloud services instance to use.
     */
    public CloudProfileReset(CloudServices cloudServices)
    {
        super(cloudServices, "NCS_DELETE_ALL_USER_DATA_CMD", null);
    }
}
