package com.nuance.dragon.toolkit.core.calllog.internal;

import com.nuance.dragon.toolkit.core.calllog.CalllogManager.CalllogDataListener;
import com.nuance.dragon.toolkit.core.calllog.CalllogSender;
import com.nuance.dragon.toolkit.core.calllog.SessionEventBuilder;

public interface Calllog {

    SessionEventBuilder logAppEvent(String appEventName, String schemaVersion);

    String getCalllogRootParentId();

    void flushCallLogData();

    void registerCalllogDataListener(CalllogDataListener calllogDataListener);

    CalllogSender createCalllogSender(CalllogSender.SenderListener senderListener);
}
