package com.nuance.dragon.toolkit.edr.internal;

import java.util.HashMap;

import com.nuance.dragon.toolkit.edr.EdrConfig;
import com.nuance.dragon.toolkit.edr.internal.jni.StringMap;

public class EdrConfigImpl extends EdrConfig {

    private final HashMap<String, String> _settings = new  HashMap<String, String>();

    @Override
    public void setParam(String param, String value) {
        _settings.put(param, value);
    }

    protected StringMap getEDRSettingsMap() {
        StringMap eDRSettings = new StringMap();
        for(String key : _settings.keySet()) {
            eDRSettings.setValueForKey(key, _settings.get(key));
        }

        return eDRSettings;
    }

    public boolean isParamDefined(String param) {
        return _settings.containsKey(param);
    }
}
