package com.nuance.dragon.toolkit.edr.internal;

import java.util.ArrayList;
import java.util.List;

import com.nuance.dragon.toolkit.edr.UserVocabulary;
import com.nuance.dragon.toolkit.edr.WordSet;

public class UserVocabularyImpl extends UserVocabulary {

    private ArrayList<WordSet> _wordSets = new ArrayList<WordSet>();

    public UserVocabularyImpl() {
    }

    @Override
    public void addWordSet(WordSet wordset) {
        if(wordset != null)
            _wordSets.add(wordset);
    }

    @Override
    public void clearWordSets() {
        _wordSets.clear();
    }

    @SuppressWarnings("unchecked")
    public List<WordSet> getWordSetList() {
        return (List<WordSet>)_wordSets.clone();
    }
}
