package com.nuance.dragon.toolkit.edr.internal;

import com.nuance.dragon.toolkit.edr.WordSet;
import com.nuance.dragon.toolkit.oem.api.FileManager;

public abstract class WordSetBase extends WordSet {

    private final String _id;
    private final FileManager _fileManager;

    protected WordSetBase(String id, FileManager fileManager) {
        _id = id;
        _fileManager = fileManager;
    }

    @Override
    public String getId() {
        return _id;
    }

    protected FileManager getFileManager() {
        return _fileManager;
    }

    public abstract com.nuance.dragon.toolkit.edr.internal.jni.WordSet getEDRWordSet();
}
