package com.nuance.dragon.toolkit.edr.internal.jni;

public class WordSetContact extends WordSet {

  protected void finalize() {
    delete();
  }

  public synchronized void delete() 
  {
    super.delete();
  }


  public WordSetContact() {
    super();
    javaCMemOwn = false;
    javaCPtr = 0;
    edr.createWordSetContact(this);
  }
  
  protected synchronized void setCPtr(long cPtr) {
    super.delete();
    if(cPtr != 0) {
      javaCPtr = cPtr;
      javaCMemOwn = true;
    }
  }
  
  protected synchronized void setCPtrNotOwn(long cPtr) {
    super.delete();
    if(cPtr != 0) {
      javaCPtr = cPtr;
      javaCMemOwn = false;
    }
  }
  

  public EDRReturnCode addContact(String fullname, String firstname, String lastname, String middlename, String nickname) { 
    return EDRReturnCode.intToEnum(edrJNI.WordSetContact_addContact(javaCPtr, this, fullname, firstname, lastname, middlename, nickname)); 
  }

}
