package com.nuance.dragon.toolkit.elvis;

/**
 * The various model qualities supported by Elvis.
 */
public final class ElvisQuality
{
    /** Unspecified. Elvis engine will then load the best model available. */
    public final static String UNSPECIFIED  = "unspecified";

    /** End-Of-Speech detection-only model definition. */
    public final static String ENDPOINTING  = "sigproc";

    /** Ultra-compact model definition. */
    public final static String ULTRA_COMPACT  = "vs4uc";

    /** Standard model definition. */
    public final static String STANDARD = "vs45std";

    /** Premium model definition. */
    public final static String PREMIUM  = "vs45prem";
}
