package com.nuance.dragon.toolkit.elvis;

import com.nuance.dragon.toolkit.oem.api.Factory;
import com.nuance.dragon.toolkit.oem.api.NMTHandler;

/**
 * Implementation of ElvisRecognizer that doesn't actually hook up to a real
 * Elvis.
 */
final class ElvisRecognizerImpersonator extends ElvisRecognizerBase
{
    public ElvisRecognizerImpersonator()
    {
        super(new NativeElvisImpersonator(), null);
    }

    @Override
    protected NMTHandler getWorkerThreadHandler()
    {
        return Factory.createNMTHandler();
    }
}
