package com.nuance.dragon.toolkit.elvis;

/**
 * An ElvisResultFilter is a generic interface for filtering Elvis Results.
 */
public interface ElvisResultFilter
{
    /**
     * Apply filtering logic to the ElvisResult object.
     *
     * @param input The elvis result to be filter TODO What happens on null?
     * @return A newly allocated ElvisResult object that has been filtered.
     */
    ElvisResult applyFilter(ElvisResult input);
}
