package com.nuance.dragon.toolkit.util.internal;

import com.nuance.dragon.toolkit.oem.api.Logger;


public class NativeUtils
{
    /** Not for public use. */
    public static boolean LOAD_NATIVE_LIBRARY_SUCCESS = true;
    static {
        try {
            System.loadLibrary("dmt_native_utils");
        }
        catch (UnsatisfiedLinkError e) {
            Logger.error(NativeUtils.class, "Failed to load native library.", e);
            LOAD_NATIVE_LIBRARY_SUCCESS = false;
        }
    }

    public native static boolean isNeonSupported();
    public native static boolean isArmV7();
    public native static boolean isX86();
}
