package com.nuance.dragon.toolkit.vocalizer;

/**
 * Used to retrieve supported Vocalizer models through JNI.
 */
final class VocalizerModelJni
{
    final String language;
    final String gender;
    final String voice;
    final String model;
    final int freqKhz;

    VocalizerModelJni(String language, String voice, String gender, String model, int freqKhz)
    {
        this.language = language;
        this.voice = voice;
        this.gender = gender;
        this.model = model;
        this.freqKhz = freqKhz;
    }

    @Override
    public String toString()
    {
        return language + ", " + voice + ", " + gender + ", " + model + ", " + freqKhz;
    }
}
