package com.nuance.dragon.toolkit.vocon;

/**
 * Information about a supported Vocon model.
 */
public final class VoconModelInfo
{
    /** The language */
    public final VoconLanguage language;
    /** The approximate size in KB */
    public final int sizeKb;

    VoconModelInfo(VoconLanguage language, int sizeKb)
    {
        this.language = language;
        this.sizeKb = sizeKb;
    }

    @Override
    public String toString()
    {
        return language.toString() + ", " + sizeKb + "Kb";
    }
}
