package com.nuance.nmsp.client.sdk.components.core.calllog;

public class SessionEventAlreadyCommittedException extends Exception {

	/**
	 * Thrown to indicate trying to add a value after SessionEventBuilder.commit() is called.
	 * 
	 * @see com.nuance.nmsp.client.sdk.components.core.calllog.SessionEventBuilder#commit()
	 * 
	 **/	
	private static final long serialVersionUID = 4768841893822225277L;
	
    public SessionEventAlreadyCommittedException(String message) {
        super(message);
    }
}
