package com.nuance.nmsp.client.sdk.oem.bluetooth;

import android.content.Context;
import android.media.AudioManager;
import android.media.MediaRecorder.AudioSource;

/**
 * Bluetooth functionality for Android 2.0 - 2.1.
 */
class Bluetooth_2_0 extends Bluetooth {
    //private BluetoothHeadset mHeadset;

    public Bluetooth_2_0(Context context) {
        super(context);
        //mHeadset = new BluetoothHeadset(mContext, null);
    }

    @Override
    public int getPlaybackStream() {
        return isHeadsetConnected() ? Audio.AUDIO_TRACK_VOICE_CALL_STREAM : AudioManager.STREAM_MUSIC;
    }

    @Override
    public int getRecordingSource() {
        return isHeadsetConnected() ? Audio.AUDIO_RECORD_AUDIO_SOURCE : AudioSource.VOICE_RECOGNITION;
    }

    @Override
    public void startBluetoothScoInternal() {
        //if(!AndroidVersion.USE_MUSIC_STREAM_FOR_BLUETOOTH) {
            mHeadset.startVoiceRecognition();
        //}
    }

    @Override
    public void stopBluetoothSco() {
        //if(!AndroidVersion.USE_MUSIC_STREAM_FOR_BLUETOOTH) {
            mHeadset.stopVoiceRecognition();
        //}
    }
}
