package com.xyz.sdk.http.model.request;

import com.xyz.sdk.general.API;
import com.xyz.sdk.http.HttpParams;
import com.xyz.sdk.http.HttpRequest;

/**
 * Created by zhangzheng on 2016/2/19.
 */
public class TopicsSearchReq extends HttpRequest{
    private static final long serialVersionUID = 1L;
    //新版专题列表请求标识
    public static final String advPositionNewVer  = "adv_100_02_01";

    //新版专题列表请求标识
    public static final String advPositionBanner  = "adv_100_03_01";

    private String advPosition;//

    public TopicsSearchReq(String advPosition) {
        super();
        this.advPosition = advPosition;
    }
    public TopicsSearchReq() {
        super();
    }

    public void setAdvPosition(String advPosition)
    {
        this.advPosition = advPosition;
    }


    @Override
    public String getApi()
    {
        return API.API_TOPICS_SEARCH;
    }

    @Override
    protected void buildRequestParams(HttpParams params) {
        if (advPosition != null) {
            params.put("advPosition", advPosition);
        }
    }
}
