package com.xyz.sdk.http.model.request;


import com.xyz.sdk.general.API;
import com.xyz.sdk.http.HttpParams;
import com.xyz.sdk.http.HttpRequest;

/**
 * 登录请求
 * 
 * @author wangxiulong
 *
 */
public class UserLoginReq extends HttpRequest
{
	private static final long serialVersionUID = 1L;
	private String loginName;
	private String password;
	private String thirdCode;
	private String type;

	public void setLoginName(String loginName)
	{
		this.loginName = loginName;
	}
	public void setPassword(String password)
	{
		this.password = password;
	}
	public void setThirdCode(String thirdCode)
	{
		this.thirdCode = thirdCode;
	}
	public void setType(String type)
	{
		this.type = type;
	}

	@Override
	public String getApi()
	{
		return API.API_USER_LOGIN;
	}

	@Override
	protected void buildRequestParams(HttpParams params) {
		params.put("loginName",loginName);
		params.put("password", password);
		params.put("thirdCode",thirdCode);
		params.put("type", type);
	}
}