package com.xyz.sdk.model;


import java.io.Serializable;
import java.lang.Object;import java.lang.Override;import java.lang.String;import java.util.ArrayList;

/**
 * @author wangxiulong
 *
 */
public class Topic implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String topicId;
	private String name;
	private String title;
	private String subTitle;
	private String content;
	private String imgUrl;
	private String activityStartDate;
	private String activityEndDate;
	private String topicType;
	private String jumpUrl;
	private ArrayList<Topic> topics;
	private String shareUrl;
	private String browserSum;

	/**提供APP跳转的URL*/
	private String appShowUrl;

	public String getAppShowUrl() {
		return appShowUrl;
	}

	public void setAppShowUrl(String appShowUrl) {
		this.appShowUrl = appShowUrl;
	}

	public String getShareUrl() {
		return shareUrl;
	}
	public void setShareUrl(String shareUrl) {
		this.shareUrl = shareUrl;
	}
	public String getBrowserSum() {
		return browserSum;
	}
	public void setBrowserSum(String browserSum) {
		this.browserSum = browserSum;
	}
	public String getTopicId()
	{
		return topicId;
	}
	public void setTopicId(String topicId)
	{
		this.topicId = topicId;
	}
	public String getName()
	{
		return name;
	}
	public void setName(String name)
	{
		this.name = name;
	}
	public String getTitle()
	{
		return title;
	}
	public void setTitle(String title)
	{
		this.title = title;
	}
	public String getSubTitle()
	{
		return subTitle;
	}
	public void setSubTitle(String subTitle)
	{
		this.subTitle = subTitle;
	}
	public String getContent()
	{
		return content;
	}
	public void setContent(String content)
	{
		this.content = content;
	}
	public String getImgUrl()
	{
		return imgUrl;
	}
	public void setImgUrl(String imgUrl)
	{
		this.imgUrl = imgUrl;
	}
	public String getActivityStartDate()
	{
		return activityStartDate;
	}
	public void setActivityStartDate(String activityStartDate)
	{
		this.activityStartDate = activityStartDate;
	}
	public String getActivityEndDate()
	{
		return activityEndDate;
	}
	public void setActivityEndDate(String activityEndDate)
	{
		this.activityEndDate = activityEndDate;
	}
	public String getTopicType()
	{
		return topicType;
	}
	public void setTopicType(String topicType)
	{
		this.topicType = topicType;
	}
	public String getJumpUrl()
	{
		return jumpUrl;
	}
	public void setJumpUrl(String jumpUrl)
	{
		this.jumpUrl = jumpUrl;
	}
	public ArrayList<Topic> getTopics()
	{
		return topics;
	}
	public void setTopics(ArrayList<Topic> topics)
	{
		this.topics = topics;
	}

	@Override
	public boolean equals(Object o) {
		if(o instanceof Topic){
			Topic preTopic= (Topic) o;
			if(preTopic.getTopicId().equals(getTopicId())&&preTopic.getImgUrl().equals(preTopic.getImgUrl())){
				return true;
			}else{
				return false;
			}
		}
		return false;
	}
}
