package com.xyz.sdk.product.bean.plan;

import java.io.Serializable;
import java.util.List;

public class City implements Serializable
{
    private static final long serialVersionUID = 1L;
    private String id;
    private String name;
    private String code;
    private String parentId;
    private String sort;
    private String status;
    private String zipcode;
    private List<County> leaves;

    public List<County> getLeaves() {
        return leaves;
    }

    public void setLeaves(List<County> leaves) {
        this.leaves = leaves;
    }

    public String getZipcode() {
        return zipcode;
    }

    public void setZipcode(String zipcode) {
        this.zipcode = zipcode;
    }

    public String getId()
    {
        return id;
    }

    public String getName()
    {
        return name;
    }

    public String getCode()
    {
        return code;
    }

    public String getParentId()
    {
        return parentId;
    }

    public String getSort()
    {
        return sort;
    }

    public String getStatus()
    {
        return status;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public void setCode(String code)
    {
        this.code = code;
    }

    public void setParentId(String parentId)
    {
        this.parentId = parentId;
    }

    public void setSort(String sort)
    {
        this.sort = sort;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public boolean isEmpty() {
        if (name == null || code == null) {
            return true;
        }
        return false;
    }

    public City(){

    }

    public City(String code,String name){
        this.code=code;
        this.name=name;
    }
}
