package com.xyz.sdk.product.bean.plan;


import java.io.Serializable;
import java.util.ArrayList;


/**
 * 省份信息
 *
 * @author wangxiulong
 *
 */
public class Province implements Serializable
{
    private static final long serialVersionUID = 1L;
    private String id;
    private String name;
    private String code;
    private String parentId;
    private ArrayList<City> leaves;
    private int sort;
    private int status;

    public String getId()
    {
        return id;
    }

    public String getName()
    {
        return name;
    }

    public String getCode()
    {
        return code;
    }

    public String getParentId()
    {
        return parentId;
    }

    public ArrayList<City> getLeaves()
    {
        return leaves;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public void setCode(String code)
    {
        this.code = code;
    }

    public void setParentId(String parentId)
    {
        this.parentId = parentId;
    }

    public void setLeaves(ArrayList<City> leaves)
    {
        this.leaves = leaves;
    }

    public int getSort()
    {
        return sort;
    }

    public void setSort(int sort)
    {
        this.sort = sort;
    }

    public int getStatus()
    {
        return status;
    }

    public void setStatus(int status)
    {
        this.status = status;
    }

    public boolean isEmpty() {
        if (name == null || code == null) {
            return true;
        }
        return false;
    }

    public Province(){

    }

    public Province(String code,String name){
        this.code=code;
        this.name=name;
    }
}
